/* ===== PANEL KATEGORII ===== */

.kategorie {
    position: fixed;
    top: 0;
    right: -280px;
    width: 280px;
    height: 100vh;

    background: white;

    box-shadow: -5px 0 20px rgba(0,0,0,0.2);

    transition: right 0.4s ease;

    z-index: 1000;
}


/* otwarty panel */

.kategorie.open {
    right: 0;
}



/* kontener listy */

.kategorie-kontener {
    margin-top: 88px;
}



/* pojedyncza kategoria */

.kategoria {

    display: flex;

    align-items: center;

    justify-content: flex-start;

    padding: 15px 20px;

    cursor: pointer;

    transition: background 0.2s ease;

}



/* efekt po najechaniu */

.kategoria:hover {

    background: #f5f5f5;

}



/* nazwa kategorii */

.nazwa-kategori {

                font-family: 'Playfair Display', serif;
            font-size: 18px;
            font-weight: 600;

    margin-left: 1rem;

    color: #4D5932;

}




/* aktywna kategoria */

.kategoria.active .nazwa-kategori {

    color: #2f6b3f;

}



/* oddzielenie sekcji informacyjnej */

.dane {

    margin-top: 50px;

}

.wyjscie {
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
    z-index: 1001;
}

.wyjscie img {
    width: 24px;
    height: 24px;
    display: block;
}